Next: ASINH, Previous: ANY, Up: Intrinsic Procedures

### 8.18 `ASIN` — Arcsine function

Description:
  `ASIN(X)` computes the arcsine of its X (inverse of `SIN(X)`).
Standard:
  Fortran 77 and later, for a complex argument Fortran 2008 or later
Class:
  Elemental function
Syntax:
  `RESULT = ASIN(X)`
Arguments:

  X | The type shall be either `REAL` and a magnitude that is less than or equal to one - or be `COMPLEX`.

Return value:
  The return value is of the same type and kind as X. The real part of the result is in radians and lies in the range -\pi/2 \leq \Re \asin(x) \leq \pi/2.
Example:

                program test_asin
                  real(8) :: x = 0.866_8
                  x = asin(x)
                end program test_asin

Specific names:

  Name | Argument | Return type | Standard
  `ASIN(X)` | `REAL(4) X` | `REAL(4)` | Fortran 77 and later
  `DASIN(X)` | `REAL(8) X` | `REAL(8)` | Fortran 77 and later

See also:
  Inverse function: SIN